﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BCDEditUI
{
    public class Helper
    {
        public static string ParseFileName(string text)
        {
            int i = text.IndexOf(":");
            if (i < 0)
                return null;
            string drive = text.Substring(0, i + 1);
            string fileName = text.Substring(i + 1);

            return string.Format(@"[{0}]""{1}""", drive, fileName);
        }

        public static string ParseDrive(string text)
        {
            int i = text.IndexOf(":");
            if (i < 0)
                return null;
            return text.Substring(0, i + 1).ToUpper();
        }

        public static string FindGuid(string text)
        {
            int i = text.IndexOf("{");
            if (i < 0)
                return null;
            int j = text.IndexOf("}", i);
            if (j < 0)
                return null;
            return text.Substring(i, j - i + 1);
        }

    }
}
